/* cfgfiles.h */

#ifndef CFGFILES_H
#define CFGFILES_H 1


void load_config (void);
void list_free (GSList ** list);
void list_loadconf (GSList ** list, char *defaultconf);

#define STRUCT_OFFSET_STR(type,field) \
( (unsigned int) (((char *) (&(((type *) NULL)->field)))- ((char *) NULL)) )

#define STRUCT_OFFSET_INT(type,field) \
( (unsigned int) (((int *) (&(((type *) NULL)->field)))- ((int *) NULL)) )

#define PREFS_OFFSET(field) STRUCT_OFFSET_STR(struct xchatprefs, field)
#define PREFS_OFFINT(field) STRUCT_OFFSET_INT(struct xchatprefs, field)

struct prefs {
	char *name;
	int offset;
	int type;
};

#define TYPE_STR 1
#define TYPE_INT 2
#define TYPE_BOOL 3

#endif
